## EMailSignaturePreview EMailSignaturePreview |

## Functions

GtkWidget * | e_mail_signature_preview_new ()
void | e_mail_signature_preview_refresh ()
ESourceRegistry * | e_mail_signature_preview_get_registry ()
const gchar * | e_mail_signature_preview_get_source_uid ()
void | e_mail_signature_preview_set_source_uid ()

## Description

## Functions

### e_mail_signature_preview_new ()

    GtkWidget *
    e_mail_signature_preview_new (ESourceRegistry *registry);

`e_mail_signature_preview_new` is deprecated and should not be used in newly-written code.

### e_mail_signature_preview_refresh ()

    void
    e_mail_signature_preview_refresh (EMailSignaturePreview *preview);

`e_mail_signature_preview_refresh` is deprecated and should not be used in newly-written code.

### e_mail_signature_preview_get_registry ()

    ESourceRegistry *
    e_mail_signature_preview_get_registry (EMailSignaturePreview *preview);

`e_mail_signature_preview_get_registry` is deprecated and should not be used in newly-written code.

### e_mail_signature_preview_get_source_uid ()

    const gchar *
    e_mail_signature_preview_get_source_uid
                                   (EMailSignaturePreview *preview);

`e_mail_signature_preview_get_source_uid` is deprecated and should not be used in newly-written code.

### e_mail_signature_preview_set_source_uid ()

    void
    e_mail_signature_preview_set_source_uid
                                   (EMailSignaturePreview *preview,
                                    const gchar *source_uid);

`e_mail_signature_preview_set_source_uid` is deprecated and should not be used in newly-written code.

## Types and Values